Subject: Re: [sipcore] draft-ietf-sipcore-keep

From: Peter Musgrave <[email-masked]>
Date: Sun, 25 Jul 2010 13:31:51 +0200

Hi,

I have read draft-ietf-sipcore-keep in detail for the first time.

I have one questions and some Nits.

Question: 7.3 Should the TRYING (not shown) from P1 to Alice have
keep=30 in it? What if the 200 OK takes e.g. longer than 30sec and the
NAT pinhole closes?

I think the draft is in very good shape.

Peter Musgrave

Nits
1. s/Eventhough/Even though/

1.3 "As specified in [RFC5626], usage keep-alives is not implicitly
negotiated for such flows, why usage needs to be explicitly
negotiated." Re-phrase?

4.2.1 s/The section/This section/

4.4 para 2. This paragraph is one sentence. I read it many times - I gave up.